POST api/NTQA/PostNonInjuryCasesQA
Request Information
URI Parameters
None.
Body Parameters
Collection of NonInjuryCasesQADTO| Name | Description | Type | Additional information |
|---|---|---|---|
| CaseNo | integer |
None. |
|
| Status | integer |
None. |
|
| EmployeeID | string |
String length: inclusive between 0 and 20 |
|
| CompanyEmployeeId | string |
String length: inclusive between 0 and 20 |
|
| LastName | string |
String length: inclusive between 0 and 50 |
|
| FirstName | string |
String length: inclusive between 0 and 50 |
|
| DOB | string |
String length: inclusive between 0 and 20 |
|
| CompanyName | string |
String length: inclusive between 0 and 100 |
|
| WLName | string |
String length: inclusive between 0 and 100 |
|
| ChiefComplain | string |
String length: inclusive between 0 and 1000 |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| Correct | boolean |
None. |
|
| InCorrect | boolean |
None. |
|
| EccCaseTypeId | integer |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"CaseNo": 1,
"Status": 1,
"EmployeeID": "sample string 2",
"CompanyEmployeeId": "sample string 3",
"LastName": "sample string 4",
"FirstName": "sample string 5",
"DOB": "sample string 6",
"CompanyName": "sample string 7",
"WLName": "sample string 8",
"ChiefComplain": "sample string 9",
"CompanyCode": "sample string 10",
"Correct": true,
"InCorrect": true,
"EccCaseTypeId": 1
},
{
"CaseNo": 1,
"Status": 1,
"EmployeeID": "sample string 2",
"CompanyEmployeeId": "sample string 3",
"LastName": "sample string 4",
"FirstName": "sample string 5",
"DOB": "sample string 6",
"CompanyName": "sample string 7",
"WLName": "sample string 8",
"ChiefComplain": "sample string 9",
"CompanyCode": "sample string 10",
"Correct": true,
"InCorrect": true,
"EccCaseTypeId": 1
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfNonInjuryCasesQADTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of NonInjuryCasesQADTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CaseNo": 1,
"Status": 1,
"EmployeeID": "sample string 2",
"CompanyEmployeeId": "sample string 3",
"LastName": "sample string 4",
"FirstName": "sample string 5",
"DOB": "sample string 6",
"CompanyName": "sample string 7",
"WLName": "sample string 8",
"ChiefComplain": "sample string 9",
"CompanyCode": "sample string 10",
"Correct": true,
"InCorrect": true,
"EccCaseTypeId": 1
},
{
"CaseNo": 1,
"Status": 1,
"EmployeeID": "sample string 2",
"CompanyEmployeeId": "sample string 3",
"LastName": "sample string 4",
"FirstName": "sample string 5",
"DOB": "sample string 6",
"CompanyName": "sample string 7",
"WLName": "sample string 8",
"ChiefComplain": "sample string 9",
"CompanyCode": "sample string 10",
"Correct": true,
"InCorrect": true,
"EccCaseTypeId": 1
}
],
"totalCount": 3
}